Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Announcements

Welcome to Cisco Support Community. We would love to have your feedback.

For an introduction to the new site, click here. And see here for current known issues.

New Member

Cannot upgrade boot code SG500X-48

Hello,

 

First of all, i'm sorry for my poor English

I recently received 4 SG500X-48 Switch and 4 SG500XG-8F8T for made a stack whit them. My problem is, i cann't upgrade the boot on my  SG500X-48.

They configuration are:

SW Version: 1.3.0.62

Boot Version: 1.3.0.03

 

image-1 (active): 1.3.0.62

image-2 (not active): 1.3.5.58

 

I have read on multiple forum, for upgrading to the last version of firmware (1.4.1), you need to have a boot version 1.3.5 minimum. But when i upgrade the boot code by the web interface by tftp or by commande line, the download start, seems to succes and when i reboot, i have again the 1.3.0.03 boot version...

I have already try to upgrade the boot on version 1.3.7 & 1.4.0 but i have the same disillusionment

 

If i upgrade firmware on 1.3.5 and i upgrade to boot code to version 1.3.5 or 1.3.7 or 1.4.0, i have the following message:

Boot version is too old !

 

Any idea ?

 

Thanks for helping.

 

Everyone's tags (1)
1 ACCEPTED SOLUTION

Accepted Solutions
New Member

Hello, I'd suggest you re

Hello,

 

I'd suggest you re-flash your firmware with another firmware version 1.3.5 or 1.3.7 then set it as your "active" image. Re-attempt to do the tftp transfer of the bootcode after and perform a reboot.

Also, double-check that the firmware files you're using are not corrupted by checking their MD5 hashes. (MD5 hash of 1.3.5.58 zip file is 3f791574eb10db515251b83e6965a1c5J)

 

Hope this helps.

 

2 REPLIES
New Member

Hello, I'd suggest you re

Hello,

 

I'd suggest you re-flash your firmware with another firmware version 1.3.5 or 1.3.7 then set it as your "active" image. Re-attempt to do the tftp transfer of the bootcode after and perform a reboot.

Also, double-check that the firmware files you're using are not corrupted by checking their MD5 hashes. (MD5 hash of 1.3.5.58 zip file is 3f791574eb10db515251b83e6965a1c5J)

 

Hope this helps.

 

New Member

Hi, It seems working... I

Hi,

 

It seems working... I have change the tftp programme (tftp64) ,re download the firmware files here:https://software.cisco.com/download/release.html?mdfid=284099563&softwareid=282463181&release=1.2.0.97

 

I don't know if the files were wrong (i have used them once month ago) or the program tftp but now it's working.

 

And now, my boot version is 1.5.0 :D

 

Thanks you for your help !!

 

126
Views
0
Helpful
2
Replies
CreatePlease login to create content